import http from '@/utils/httpConfig'

export const schoolList = (data = {}) => {
  return http('/szmsg/school/index', data)
}

export const schoolAdd = (data = {}) => {
  return http('/szmsg/school/add', data)
}

export const schoolEdit = (data = {}) => {
  return http('/szmsg/school/edit', data)
}

export const schoolDetail = (data = {}) => {
  return http('/szmsg/school/detail', data)
}

export const schoolDelete = (data = {}) => {
  return http('/szmsg/school/delete', data)
}



export const gradeList = (data = { limit: 50 }) => {
  return http('/jcxx/grade/index', data)
}

export const subjectList = (data = { limit: 50 }) => {
  return http('/jcxx/subject/index', data)
}

// 艺术作品
export const schoolZpList = (data = {}) => {
  return http('/szmsg/school_zp/index', data)
}

export const schoolZpAdd = (data = {}) => {
  return http('/szmsg/school_zp/add', data)
}

export const schoolZpEdit = (data = {}) => {
  return http('/szmsg/school_zp/edit', data)
}

export const schoolZpDetail = (data = {}) => {
  return http('/szmsg/school_zp/detail', data)
}

export const schoolZpDelete = (data = {}) => {
  return http('/szmsg/school_zp/delete', data)
}



// 通知公告
export const schoolNoticeList = (data = {}) => {
  return http('/szmsg/school_notice/index', data)
}

export const schoolNoticeAdd = (data = {}) => {
  return http('/szmsg/school_notice/add', data)
}

export const schoolNoticeEdit = (data = {}) => {
  return http('/szmsg/school_notice/edit', data)
}

export const schoolNoticeDetail = (data = {}) => {
  return http('/szmsg/school_notice/detail', data)
}

export const schoolNoticeDelete = (data = {}) => {
  return http('/szmsg/school_notice/delete', data)
}